import { CodeError } from '@iotize/common/error';
export declare class TlvJsonCompressorError extends CodeError {
    static maxDataLengthReach(length: number, maxLength: number): TlvJsonCompressorError;
    static unknownFieldName(fieldName: string): TlvJsonCompressorError;
    static unknownFieldCode(code: number): TlvJsonCompressorError;
    static unexpectedCharacter(msg: string): TlvJsonCompressorError;
    static invalidEnumKey(key: any, mapping: Record<any, any>): TlvJsonCompressorError;
}
export declare namespace TlvJsonCompressorError {
    enum Code {
        UnknownFieldCode = "TlvJsonCompressorErrorUnknownFieldCode",
        UnknownFieldName = "TlvJsonCompressorErrorUnknownFieldName",
        UnexpectedCharacter = "TlvJsonCompressorErrorUnexpectedCharacter",
        MaxDataLengthReach = "TlvJsonCompressorErrorMaxDataLengthReach",
        InvalidEnumKey = "TlvJsonCompressorErrorInvalidEnumKey"
    }
}
